Page MenuHomeFreeBSD

loader: improve lua ACPI detection and handling
ClosedPublic

Authored by rcm on Nov 6 2023, 5:31 PM.
Tags
Referenced Files
Unknown Object (File)
Wed, May 22, 9:13 PM
Unknown Object (File)
Wed, May 22, 7:23 PM
Unknown Object (File)
Fri, May 17, 9:51 AM
Unknown Object (File)
Sun, May 5, 12:13 PM
Unknown Object (File)
Apr 16 2024, 4:05 AM
Unknown Object (File)
Apr 6 2024, 6:24 AM
Unknown Object (File)
Mar 20 2024, 6:53 AM
Unknown Object (File)
Mar 13 2024, 1:06 AM
Subscribers

Details

Summary

This is a follow-up patch to https://reviews.freebsd.org/D42459
that modifies the loader lua to use the correct loader variables
for determining ACPI availability. This also fixes a bug where
ACPI can be inadvertently disabled when setting System Defaults
at the loader menu.

Sponsored By: Rubicon Communications, LLC ("Netgate")

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rcm requested review of this revision.Nov 6 2023, 5:31 PM

looks good now. Thanks for the split.

This revision is now accepted and ready to land.Nov 6 2023, 6:39 PM

Just one minor nit

stand/lua/core.lua.8
110

New sentence should begin on new line

This revision now requires review to proceed.Nov 6 2023, 7:01 PM
rcm marked an inline comment as done.Nov 6 2023, 7:01 PM
rcm added inline comments.
stand/lua/core.lua.8
110

Fixed.

rcm marked an inline comment as done.Nov 6 2023, 7:02 PM
This revision is now accepted and ready to land.Nov 17 2023, 9:37 PM
This revision was automatically updated to reflect the committed changes.